#
#  ADCON535 definiert Funktionen zum Ansteuern des AD-Converters im 80535
#
#  Copyright (C) 1995 Markus Bauer
#



#
#  Definition der Special Function Register des ADC. Die Namen sind
#  identisch mit den Registernamen des Siemens-Handbuchs
#

0D8H FIXVAR        ADCON         # Input / Mode Select Register
0D9H FIXVAR        ADDAT         # Conversion Result Register
0DAH FIXVAR        DAPR          # DA Converter Program Register

0DCH BITVAR        BSY           # AD Converter Busy (read only)
0DBH BITVAR        ADM           # AD Converter Mode 0=single, 1=continious

0B8H BITVAR        EADC          # Enable AD Converter Interrupt
0C0H BITVAR        IADC          # AD Converter Interrupt Request



: StartADC ( RefProg InpNr -> )
#
# Programmiert den Converter und startet eine einzelne Messung. Nimmt zwei
# Bytes vom Stapel: InpNr adressiert den Analogeingang (0..7), RefProg
# enthlt die Werte fr das Register DAPR zum Programmieren der Referenz-
# spannungen.
#

   ADCON@ F0H AND                # ADCON lesen, Input Select lschen
   OR ADCON!                     # angegebene Eingangsnummer einblenden

   DAPR!                         # Referenzspannungen programmieren und
                                 # Conversion starten

;



: ReadADC ( -> AD-Result )
#
# Prft das BSY Bit bis die Conversion abgeschlossen ist, legt dann das
# Ergebnis auf den Stapel
#

   BEGIN
   BSY@ WHILE
   REPEAT
   ADDAT@

;


