#
#  INT.X definiert Textmakros zur Untersttzung von Interruptfunktionen
#  fr Microcontroller der MCS-51 Familie.
#
#  Save_Registers ......... sichert die in jedem Fall zu rettenden Register
#                           A, R1 und PSW auf dem Returnstack
#  Restore_Registers ...... stellt die durch Save_Registers geretteten
#                           Registerinhalte wieder her.
#  Save_B ................. sichert Multiplikations Register B
#                           auf dem Returnstack
#  Restore_Registers ...... stellt Register B wieder her
#  Save_DPTR .............. sichert das DPTR Register
#  Restore_DPTR ........... stellt das DPTR Register wieder her
#  InterruptReturn ........ fgt einen RETI Befehl ein
#
#  Die Save_... Makros retten die Registerinhalte mit PUSH. Der Returnstack
#  mu hierfr Ausreichend Platz bereitstellen. Werden mehrere Save_.. Makros
#  aufgerufen, mssen die Restore_... Makros in umgekehrter Reihenfolge auf-
#  gerufen werden.
#
#  Copyright (C) 1994 Markus Bauer
#

ALIAS\ C0H , E0H , C0H , 01H , C0H , D0H , \    Save_Registers
ALIAS\ C0H , F0H , \                            Save_B
ALIAS\ C0H , 82H , C0H , 83H , \                Save_DPTR
ALIAS\ D0H , D0H , D0H , 01H , D0H , E0H , \    Restore_Registers
ALIAS\ D0H , F0H , \                            Restore_B
ALIAS\ D0H , 83H , D0H , 82H , \                Restore_DPTR
ALIAS\ 32H , \                                  InterruptReturn

